## ocaml-xen-lowlevel-libs 0.9.25

=== Makefile ===
.PHONY: all clean install build
all: build doc

BINDIR?=/usr/lib/xcp/lib

J=4

include config.mk
config.mk:
	echo Please re-run configure
	exit 1

BINDIR ?= /usr/bin
SBINDIR ?= /usr/sbin
DESTDIR ?= /

export OCAMLRUNPARAM=b

setup.bin: setup.ml
	@ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	@rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin config.mk
	@./setup.bin -configure $(ENABLE_XENLIGHT) $(ENABLE_XENCTRL) $(ENABLE_XENGUEST42)

build: setup.data setup.bin
	@./setup.bin -build -j $(J)
ifeq ($(ENABLE_XENGUEST44),true)
	(cd xenguest-4.4 && make)
endif

doc: setup.data setup.bin
	@./setup.bin -doc -j $(J)

install: setup.bin
	@./setup.bin -install
ifeq ($(ENABLE_XENGUEST42)$(ENABLE_XENCTRL),--enable-xenguest42--enable-xenctrl)
	mkdir -p $(BINDIR)
	install -m 0755 _build/xenguest-4.2/xenguest_main.native $(BINDIR)/xenguest
endif
ifeq ($(ENABLE_XENGUEST44),true)
	(cd xenguest-4.4 && make install BINDIR=$(BINDIR))
endif

test: setup.bin build
	@./setup.bin -test

reinstall: setup.bin
	@ocamlfind remove xenctrl || true
	@ocamlfind remove xenlight || true
	@./setup.bin -reinstall
ifeq ($(ENABLE_XENGUEST44),true)
	(cd xenguest-4.4 && make install BINDIR=$(BINDIR))
endif

uninstall:
	@ocamlfind remove xenctrl || true
	@ocamlfind remove xenlight || true
ifeq ($(ENABLE_XENGUEST44),true)
	(cd xenguest-4.4 && make uninstall BINDIR=$(BINDIR))
endif

clean:
	@ocamlbuild -clean
	@rm -f setup.data setup.log setup.bin
ifeq ($(ENABLE_XENGUEST44),true)
	(cd xenguest-4.4 && make clean)
endif

=== xenguest-4.4/Makefile ===
CFLAGS += -Werror
CFLAGS += -I.
CFLAGS += -lxenctrl -lxenguest -lxenstore
CFLAGS += -D_GNU_SOURCE -D_BSD_SOURCE

PROGRAMS := xenguest

.PHONY: all
all: build

.PHONY: build
build: $(PROGRAMS)

xenguest: xenguest.o xenguest_stubs.o
	$(CC) $(CFLAGS) -o $@ $(LDFLAGS) $^ \
		-lxenctrl -lxenguest -lxenstore
	rm *.o

.PHONY: install
install:
	mkdir -p $(BINDIR)
	install -m 0755 xenguest $(BINDIR)

.PHONY: uninstall
	rm -f $(BINDIR)/xenguest

.PHONY: clean
clean:
	rm -f *.o $(PROGRAMS)

=== debian/changelog ===
ocaml-xen-lowlevel-libs (0.9.25-3) UNRELEASED; urgency=low

  * Remove dependency on xen-missing-headers

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Thu, 04 Sep 2014 12:00:00 +0000

ocaml-xen-lowlevel-libs (0.9.25-2) UNRELEASED; urgency=low

  * Reinstate xenlight in CentOS

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Tue, 02 Sep 2014 12:00:00 +0000

ocaml-xen-lowlevel-libs (0.9.25-1) UNRELEASED; urgency=low

  * Update to 0.9.25

 -- David Scott <dave.scott@citrix.com>  Sun, 24 Aug 2014 12:00:00 +0000

ocaml-xen-lowlevel-libs (0.9.23-1) UNRELEASED; urgency=low

  * Update to 0.9.23, improved configure script

 -- David Scott <dave.scott@citrix.com>  Sun, 24 Aug 2014 12:00:00 +0000

ocaml-xen-lowlevel-libs (0.9.22-1) UNRELEASED; urgency=low

  * Update to 0.9.22, only build xenlight on xen-4.4 and xen-4.5

 -- David Scott <dave.scott@citrix.com>  Sat, 23 Aug 2014 12:00:00 +0000

ocaml-xen-lowlevel-libs (0.9.21-1) UNRELEASED; urgency=low

  * Update to 0.9.21, re-activate xenlight

 -- David Scott <dave.scott@citrix.com>  Wed, 20 Aug 2014 12:00:00 +0000

ocaml-xen-lowlevel-libs (0.9.18-1) UNRELEASED; urgency=low

  * Update to 0.9.18

 -- David Scott <dave.scott@citrix.com>  Sat, 21 Jun 2014 12:00:00 +0000

ocaml-xen-lowlevel-libs (0.9.16-2) UNRELEASED; urgency=low

  * Place xenguest in ocaml-xen-lowlevel-libs-runtime

 -- David Scott <dave.scott@citrix.com>  Sat, 07 Jun 2014 12:00:00 +0000

ocaml-xen-lowlevel-libs (0.9.16-1) UNRELEASED; urgency=low

  * Update to 0.9.16

 -- David Scott <dave.scott@citrix.com>  Sat, 07 Jun 2014 12:00:00 +0000

ocaml-xen-lowlevel-libs (0.9.15-1) UNRELEASED; urgency=low

  * Update to 0.9.15

 -- David Scott <dave.scott@citrix.com>  Sat, 07 Jun 2014 12:00:00 +0000

ocaml-xen-lowlevel-libs (0.9.14-2) UNRELEASED; urgency=low

  * Split files correctly between base and devel packages

 -- Euan Harris <euan.harris@citrix.com>  Mon, 02 Jun 2014 12:00:00 +0000

ocaml-xen-lowlevel-libs (0.9.14-1) UNRELEASED; urgency=low

  * Update to 0.9.14

 -- David Scott <dave.scott@citrix.com>  Sat, 26 Apr 2014 12:00:00 +0000

ocaml-xen-lowlevel-libs (0.9.9-3) UNRELEASED; urgency=low

  * Exclude the xenlight stuff in case it manages to build

 -- David Scott <dave.scott@eu.citrix.com>  Mon, 21 Oct 2013 12:00:00 +0000

=== debian/control ===
Source: ocaml-xen-lowlevel-libs
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 qemu-system-x86,
 camlp4,
 python,
 debhelper (>= 8),
 libcstruct-ocaml-dev,
 uuid-dev,
 camlp4-extra,
 ocaml-native-compilers,
 blktap-dev,
 liblwt-ocaml-dev,
 ocaml-findlib,
 blktap-utils,
 libcmdliner-ocaml-dev,
 libxen-dev

Package: ocaml-xen-lowlevel-libs
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Xen hypercall bindings for OCaml
 Xen hypercall bindings for OCaml.

Package: ocaml-xen-lowlevel-libs-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-xen-lowlevel-libs (>= 0.9.25-3)
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-xen-lowlevel-libs
 The ocaml-xen-lowlevel-libs-devel package contains libraries and
 signature files for developing applications that use ocaml-xen-
 lowlevel-libs.

Package: ocaml-xen-lowlevel-libs-runtime
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Runtime binaries for users of ocaml-xen-lowlevel-libs
 The ocaml-xen-lowlevel-libs-runtime package contains binaries which
 must be present at runtime when executing programs that use ocaml-
 xen-lowlevel-libs.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/ocaml-xen-lowlevel-libs/usr/lib/ocaml/xenctrl/*.a
	rm -f debian/ocaml-xen-lowlevel-libs/usr/lib/ocaml/xenctrl/*.cmxa
	rm -f debian/ocaml-xen-lowlevel-libs/usr/lib/ocaml/xenctrl/*.cmx
	rm -f debian/ocaml-xen-lowlevel-libs/usr/lib/ocaml/xenctrl/*.mli
	rm -f debian/ocaml-xen-lowlevel-libs/usr/lib/ocaml/xenlight/*.a
	rm -f debian/ocaml-xen-lowlevel-libs/usr/lib/ocaml/xenlight/*.cmxa
	rm -f debian/ocaml-xen-lowlevel-libs/usr/lib/ocaml/xenlight/*.cmx
	rm -f debian/ocaml-xen-lowlevel-libs/usr/lib/ocaml/xenlight/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:

## ocaml-xen-lowlevel-libs 0.9.28

=== xenguest-4.4/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CFLAGS += -Werror
 CFLAGS += -I.
 CFLAGS += -lxenctrl -lxenguest -lxenstore
-CFLAGS += -D_GNU_SOURCE -D_BSD_SOURCE
+CFLAGS += -D_GNU_SOURCE
 
 PROGRAMS := xenguest

=== debian/changelog ===
ocaml-xen-lowlevel-libs (0.9.28-1) UNRELEASED; urgency=low

  * xentoollog is now a top-level package in 0.9.28

 -- David Scott <dave.scott@citrix.com>  Wed, 21 Jan 2015 12:00:00 +0000

ocaml-xen-lowlevel-libs (0.9.25-4) UNRELEASED; urgency=low

  * xenguest should only be in the runtime package

 -- David Scott <dave.scott@citrix.com>  Sun, 19 Oct 2014 12:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- ocaml-xen-lowlevel-libs (>= 0.9.25-3)
+ ocaml-xen-lowlevel-libs (>= 0.9.28-1)
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: Development files for ocaml-xen-lowlevel-libs

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,10 @@
 	rm -f debian/ocaml-xen-lowlevel-libs/usr/lib/ocaml/xenlight/*.cmxa
 	rm -f debian/ocaml-xen-lowlevel-libs/usr/lib/ocaml/xenlight/*.cmx
 	rm -f debian/ocaml-xen-lowlevel-libs/usr/lib/ocaml/xenlight/*.mli
+	rm -f debian/ocaml-xen-lowlevel-libs/usr/lib/ocaml/xentoollog/*.a
+	rm -f debian/ocaml-xen-lowlevel-libs/usr/lib/ocaml/xentoollog/*.cmxa
+	rm -f debian/ocaml-xen-lowlevel-libs/usr/lib/ocaml/xentoollog/*.cmx
+	rm -f debian/ocaml-xen-lowlevel-libs/usr/lib/ocaml/xentoollog/*.mli
 
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
